Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.ui.views
Class TreeView

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.ViewPart
                  org.eclipse.emf.ecp.ui.views.TreeView

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.jface.viewers.ISelectionProvider, org.eclipse.ui.IPersistable, org.eclipse.ui.IViewPart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.ISetSelectionTarget, org.eclipse.ui.part.IWorkbenchPartOrientation

Direct Known Subclasses:
  ECPProvidersView, ModelExplorerView, ModelRepositoriesView

    public abstract class TreeView

extends org.eclipse.ui.part.ViewPart
implements org.eclipse.jface.viewers.ISelectionProvider, org.eclipse.ui.part.ISetSelectionTarget

Author:
  Eike Stepper, Eugen Neufeld

Field Summary
`static String` | `GLOBAL_ADDITIONS` ID for the separator in the context menu of the `TreeView` to add global contributions to (placed on top).

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`TreeView(String id)` Default constructor.

Method Summary
`void` | `addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)`
`void` | `createPartControl(org.eclipse.swt.widgets.Composite parent)`
`String` | `getID()` Retrieves the ID of this `TreeView`.
`org.eclipse.jface.action.Action` | `getRefreshAction()` Return the refresh action, which triggers a reload on the TreeViewer.
`org.eclipse.jface.viewers.IStructuredSelection` | `getSelection()`
`org.eclipse.jface.viewers.TreeViewer` | `getViewer()` Returns JFace `TreeViewer` used in this `TreeViewer`.
`void` | `init(org.eclipse.ui.IViewSite site)`
`void` | `removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)`
`void` | `selectReveal(org.eclipse.jface.viewers.ISelection selection)`
`void` | `setFocus()`
`void` | `setSelection(org.eclipse.jface.viewers.ISelection selection)`

Methods inherited from class org.eclipse.ui.part.ViewPart
`getViewSite, init, saveState, setInitializationData`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPartPropertyListener, addPropertyListener, dispose, getAdapter, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Field Detail

### GLOBAL_ADDITIONS

    public static final String GLOBAL_ADDITIONS

  ID for the separator in the context menu of the `TreeView` to add global contributions to (placed on top).

  See Also:
    Constant Field Values

Constructor Detail

### TreeView

    public TreeView(String id)

  Default constructor.

  Parameters:
    `id` - the ID of the Tree View, used to identify the `TreeView`

Method Detail

### getID

    public final String getID()

  Retrieves the ID of this `TreeView`.

  Returns:
    the id as a `String`

### getViewer

    public final org.eclipse.jface.viewers.TreeViewer getViewer()

  Returns JFace `TreeViewer` used in this `TreeViewer`.

  Returns:
    a `TreeViewer`

### getRefreshAction

    public final org.eclipse.jface.action.Action getRefreshAction()

  Return the refresh action, which triggers a reload on the TreeViewer.

  Returns:
    an `Action`

### init

    public void init(org.eclipse.ui.IViewSite site)
              throws org.eclipse.ui.PartInitException

  Specified by:
    `init` in interface `org.eclipse.ui.IViewPart`
  Overrides:
    `init` in class `org.eclipse.ui.part.ViewPart`
  Throws:
    `org.eclipse.ui.PartInitException`

### createPartControl

    public final void createPartControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createPartControl` in interface `org.eclipse.ui.IWorkbenchPart`
  Specified by:
    `createPartControl` in class `org.eclipse.ui.part.WorkbenchPart`

### setFocus

    public void setFocus()

  Specified by:
    `setFocus` in interface `org.eclipse.ui.IWorkbenchPart`
  Specified by:
    `setFocus` in class `org.eclipse.ui.part.WorkbenchPart`

### getSelection

    public org.eclipse.jface.viewers.IStructuredSelection getSelection()

  Specified by:
    `getSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`

### setSelection

    public void setSelection(org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `setSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`

### addSelectionChangedListener

    public void addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)

  Specified by:
    `addSelectionChangedListener` in interface `org.eclipse.jface.viewers.ISelectionProvider`

### removeSelectionChangedListener

    public void removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)

  Specified by:
    `removeSelectionChangedListener` in interface `org.eclipse.jface.viewers.ISelectionProvider`

### selectReveal

    public void selectReveal(org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `selectReveal` in interface `org.eclipse.ui.part.ISetSelectionTarget`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.